package com.fr.plugin.demo.dataset.transfer;

import com.fr.data.impl.Connection;
import com.fr.design.beans.BasicBeanPane;
import com.fr.design.fun.impl.AbstractConnectionProvider;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

/**
 * @author lidongy
 * @version 10.0
 * Created by lidongy on 2021/3/4
 */
@EnableMetrics
public class DemoConnectionImpl extends AbstractConnectionProvider {
    @Override
    @Focus(id = "com.fr.plugin.demo.dataset.transfer", text = "", source = Original.PLUGIN)
    public String nameForConnection() {
        return "TransferableConnection";
    }

    @Override
    public String iconPathForConnection() {
        return "/com/fr/plugin/demo/dataset/transfer/images/demo.png";
    }

    public Class<? extends Connection> classForConnection() {
        return DemoConnection.class;
    }

    public Class<? extends BasicBeanPane<? extends Connection>> appearanceForConnection() {
        return DemoConnectionPane.class;
    }
}
