package com.fr.plugin.demo.dataset.transfer;

import com.fanruan.api.design.work.BaseTableDataPane;

import javax.swing.*;
import java.awt.*;

/**
 * @author lidongy
 * @version 10.0
 * Created by lidongy on 2021/3/4
 */
public class DemoTableDataPane extends BaseTableDataPane<DemoTableData> {

    private JTextArea queryTextPane;

    public DemoTableDataPane() {
        this.setLayout(new BorderLayout(4, 4));
        queryTextPane = new JTextArea();
        this.add(queryTextPane, BorderLayout.CENTER);
    }

    @Override
    public void populateBean(DemoTableData demoTableData) {
        queryTextPane.setText(demoTableData.getQuery());
    }

    @Override
    public DemoTableData updateBean() {
        DemoTableData demoTableData = new DemoTableData();
        demoTableData.setQuery(queryTextPane.getText());
        return demoTableData;
    }

    @Override
    protected String title4PopupWindow() {
        return "demo";
    }
}
