package com.fr.plugin.demo.dataset.transfer;

import com.fr.base.TableData;
import com.fr.decision.fun.impl.AbstractTransferDataSetManagerProvider;

/**
 * @author lidongy
 * @version 10.0
 * Created by lidongy on 2021/3/4
 */
public class DemoTableDataTransferManager extends AbstractTransferDataSetManagerProvider<DemoTableData> {

    @Override
    public Class<? extends TableData> getDataSetClass() {
        return DemoTableData.class;
    }

    @Override
    public String serialize(DemoTableData demoTableData) throws Exception {
        return demoTableData.getQuery();
    }

    @Override
    public DemoTableData deserialize(String str) throws Exception {
        DemoTableData demoTableData = new DemoTableData();
        demoTableData.setQuery(str);
        return demoTableData;
    }
}
