package com.fr.plugin.demo.dataset.transfer;

import com.fr.base.TableData;
import com.fr.design.data.tabledata.tabledatapane.AbstractTableDataPane;
import com.fr.design.fun.impl.AbstractTableDataDefineProvider;

/**
 * @author lidongy
 * @version 10.0
 * Created by lidongy on 2021/3/4
 */
public class DemoTableDataDefine extends AbstractTableDataDefineProvider {
    @Override
    public Class<? extends TableData> classForTableData() {
        return DemoTableData.class;
    }

    @Override
    public Class<? extends TableData> classForInitTableData() {
        return DemoTableData.class;
    }

    @Override
    public Class<? extends AbstractTableDataPane> appearanceForTableData() {
        return DemoTableDataPane.class;
    }

    @Override
    public String nameForTableData() {
        return "TransferableTableData";
    }

    @Override
    public String prefixForTableData() {
        return "demo";
    }

    @Override
    public String iconPathForTableData() {
        return "/com/fr/plugin/demo/dataset/transfer/images/demo.png";
    }
}
